''' <summary>
''' hlt eine Kombination aus zwei Farben
''' </summary>
Public Class BiColor
    ' Farbe 1
    Private m_Color1 As Color
    ' Farbe 2
    Private m_Color2 As Color

    ''' <summary>
    ''' Konstruktor fr ein BiColor-Objekt
    ''' </summary>
    ''' <param name="Color1">Farbe 1</param>
    ''' <param name="Color2">Farbe 2</param>
    Public Sub New(ByVal Color1 As Color, ByVal Color2 As Color)
        m_Color1 = Color1
        m_Color2 = Color2
    End Sub

    ''' <summary>
    ''' Farbe 1
    ''' </summary>
    ReadOnly Property Color1() As Color
        Get
            Return m_Color1
        End Get
    End Property

    ''' <summary>
    ''' Farbe 2
    ''' </summary>
    ReadOnly Property Color2() As Color
        Get
            Return m_Color2
        End Get
    End Property
End Class
