Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Collection of breaks in a range description.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Advanced)> _
    Public Class Breaks
        Inherits RangeItemsList(Of Break)
        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Rng">Referenced range description.</param>
        Friend Sub New(ByVal Rng As Range)
            MyBase.New(Rng)
        End Sub
        ''' <summary>
        ''' Adds a break to the existing objects in this range description.
        ''' </summary>
        ''' <param name="Type">Type of break.</param>
        Public Function Add(ByVal Type As WdBreakType) As Break
            Dim Result As New Break(Type)
            MyBase.AddObject(Result)
            Return Result
        End Function
    End Class
End Namespace