Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Collection of cells in a table.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Advanced)> _
    Public Class Cells
        Inherits ItemsList(Of Cell)

        ''' <summary>
        ''' Constructor
        ''' </summary>
        Friend Sub New()
            MyBase.New()
        End Sub
        ''' <summary>
        ''' Adds a cell to the existing objects in this range description.
        ''' </summary>
        ''' <param name="Cl">Table cell</param>
        ''' <remarks></remarks>
        Friend Sub Add(ByVal Cl As Cell)
            MyBase.AddObject(Cl)
        End Sub
    End Class
End Namespace