Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Collection of columns in a table.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Advanced)> _
    Public Class Columns
        Inherits ItemsList(Of Column)
        ''' <summary>
        ''' Constructor
        ''' </summary>
        Friend Sub New()
            MyBase.New()
        End Sub
        ''' <summary>
        ''' Adds a column to the existing objects in this range description.
        ''' </summary>
        Friend Sub Add(ByVal Col As Column)
            MyBase.AddObject(Col)
        End Sub
    End Class
End Namespace